import { findNodeForProperty as t } from "../utils/grammar-utils.js";
function n(r) {
  return typeof r.name == "string";
}
class a {
  getName(e) {
    if (n(e))
      return e.name;
  }
  getNameNode(e) {
    return t(e.$cstNode, "name");
  }
}
export {
  a as DefaultNameProvider,
  n as isNamed
};
